Package org.eclipse.emf.compare.rcp.extension

# Enum Class AbstractRegistryEventListener.Action

java.lang.Object
java.lang.Enum<AbstractRegistryEventListener.Action>
org.eclipse.emf.compare.rcp.extension.AbstractRegistryEventListener.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractRegistryEventListener.Action>`, `java.lang.constant.Constable`

Enclosing class:
  `AbstractRegistryEventListener`

protected static enum AbstractRegistryEventListener.Action extends Enum<AbstractRegistryEventListener.Action>
Enumeration that says if the `IConfigurationElement` is to be added or removed from the `IExtensionRegistry`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
The `IConfigurationElement` is to be added.
`REMOVE`
The `IConfigurationElement` is to be removed.

## Method Summary

Modifier and Type
Method
Description
`static AbstractRegistryEventListener.Action`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractRegistryEventListener.Action[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final AbstractRegistryEventListener.Action ADD
The `IConfigurationElement` is to be added.

### REMOVE

public static final AbstractRegistryEventListener.Action REMOVE
The `IConfigurationElement` is to be removed.

## Method Details

### values

public static AbstractRegistryEventListener.Action[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractRegistryEventListener.Action valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null